<?xml version="1.0" encoding="UTF-8"?>
<!--
 *******************************************************************************
 * Copyright (c) 2019 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *******************************************************************************
-->
<configuration>

    <property name="LOGS" value="./logs"/>

    <appender name="Console" class="ch.qos.logback.core.ConsoleAppender">
        <encoder class="ch.qos.logback.classic.encoder.PatternLayoutEncoder">
            <Pattern>
                %black(%d{ISO8601}) %highlight(%-5level) [%blue(%t)] %yellow(%c{60}): %msg%n%throwable
            </Pattern>
        </encoder>
    </appender>

    <appender name="RollingFileStd" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <file>${LOGS}/samoInterface.log</file>
        <encoder class="ch.qos.logback.classic.encoder.PatternLayoutEncoder">
            <Pattern>%d %p %c{60} [%t] %m%n</Pattern>
        </encoder>

        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
            <fileNamePattern>${LOGS}/archived/samoInterface-%d{yyyy-MM-dd}.gz</fileNamePattern>
            <MaxHistory>30</MaxHistory>
            <cleanHistoryOnStart>true</cleanHistoryOnStart>
        </rollingPolicy>
    </appender>

    <!-- LOG everything at INFO level -->
    <root level="info">
        <appender-ref ref="RollingFileStd"/>
        <appender-ref ref="Console"/>
    </root>

    <!-- LOG "com.baeldungorg.eclipse.openk.contactbasedata*" at INFO level -->
    <logger name="org.eclipse.openk.gridfailureinformation.samointerface" additivity="false">
        <appender-ref ref="RollingFileStd"/>
        <appender-ref ref="Console"/>
    </logger>

</configuration>